#!/usr/bin/php
<?php

/**
 * Just a litle ganglia test utilty
 * 
 * This provides an endpoint a ganglia client can connect to for
 * recieving a ganglia xml. It puts out the content of a ganglia
 * xml file and closes the connection just as ganglia would.
 *
 * This watis for NUM_CONNECTS connections before it closes down.
 */

error_reporting(E_ALL);

// Allow the script to hang around waiting for connections
set_time_limit(0);

// Where to bind this to
$ADDRESS = '127.0.0.1';
$PORT = 8649;

$NUM_CONNECTS = 10;

// file to return
$GANGLIA_FILE = "data/paderborn-data.dat";
// how large chunks to read
$CHUNK_SIZE = 4 * 1024;

if (($sock = socket_create(AF_INET, SOCK_STREAM, SOL_TCP)) < 0) {
   echo "socket_create() failed: " . socket_strerror($sock) . "\n";
   die;
}

// bind socket to address
if (($ret = socket_bind($sock, $ADDRESS, $PORT)) < 0) {
   echo "socket_bind() failed: " . socket_strerror($ret) . "\n";
   socket_close( $sock );
   die;
}

// listen for connection
if (($ret = socket_listen($sock, 5)) < 0) {
   echo "socket_listen() failed: " . socket_strerror($ret) . "\n";
   socket_close( $sock );
   die;
}

echo "Listening on $PORT.\n";

for ( $iConn = 0; $iConn < $NUM_CONNECTS; $iConn++ ) {
	// hang around for connection ( socket_accept blocks )
	if (($msgsock = socket_accept($sock)) < 0) {
		echo "socket_accept() failed: " . socket_strerror($msgsock) . "\n";
		socket_close( $sock );
		die;
	}
	
	$fp = fopen( $GANGLIA_FILE, "r" );
	if( !$fp ) {
		socket_close( $msgsock );
		socket_close( $sock );
		die( "Failed to open ganglia file for reading.\n" );
	}
	
	// write file content to socket
	while( $datachunk = fread( $fp, $CHUNK_SIZE ) ) {
		// this is  somewhat unclean as we don't check how much ist actually written
		socket_write( $msgsock, $datachunk, strlen( $datachunk ) );
	}
	
	fclose( $fp );
	
	echo "Closing socket \$msgsock\n";
	socket_close( $msgsock );
}

echo "Closing socket \$sock\n";
socket_close( $sock );

?>
